Panda3D

Loading...
Searching...
No Matches
Static Public Member Functions | Static Public Attributes | List of all members
MathNumbers Class Reference

## Static Public Member Functions
static double | cln2 (double)
| Returns ln(2) as a single-precision or double-precision number, according to the type of the parameter.
static float | cln2 (float)
| Returns ln(2) as a single-precision or double-precision number, according to the type of the parameter.
static double | cpi (double)
| Returns pi as a single-precision or double-precision number, according to the type of the parameter.
static float | cpi (float)
| Returns pi as a single-precision or double-precision number, according to the type of the parameter.

## Static Public Attributes
static const PN_stdfloat | deg_2_rad = MathNumbers::pi_d / 180.0
static const double | deg_2_rad_d = MathNumbers::pi_d / 180.0
static const float | deg_2_rad_f = MathNumbers::pi_d / 180.0
static const PN_stdfloat | ln2 = log(2.0)
static const double | ln2_d = log(2.0)
static const float | ln2_f = log(2.0)
static const PN_stdfloat | pi = 4.0 * atan(1.0)
static const double | pi_d = 4.0 * atan(1.0)
static const float | pi_f = 4.0 * atan(1.0)
static const PN_stdfloat | rad_2_deg = 180.0 / MathNumbers::pi_d
static const double | rad_2_deg_d = 180.0 / MathNumbers::pi_d
static const float | rad_2_deg_f = 180.0 / MathNumbers::pi_d

## Detailed Description

Definition at line 20 of file mathNumbers.h.

## Member Function Documentation

## ◆ cln2() [1/2]

double MathNumbers::cln2 | ( | double |  | ) |
| inline static

Returns ln(2) as a single-precision or double-precision number, according to the type of the parameter.

Definition at line 45 of file mathNumbers.I.

## ◆ cln2() [2/2]

float MathNumbers::cln2 | ( | float |  | ) |
| inline static

Returns ln(2) as a single-precision or double-precision number, according to the type of the parameter.

Definition at line 27 of file mathNumbers.I.

## ◆ cpi() [1/2]

double MathNumbers::cpi | ( | double |  | ) |
| inline static

Returns pi as a single-precision or double-precision number, according to the type of the parameter.

Definition at line 36 of file mathNumbers.I.

## ◆ cpi() [2/2]

float MathNumbers::cpi | ( | float |  | ) |
| inline static

Returns pi as a single-precision or double-precision number, according to the type of the parameter.

Definition at line 18 of file mathNumbers.I.

## Member Data Documentation

## ◆ deg_2_rad

const PN_stdfloat MathNumbers::deg_2_rad = MathNumbers::pi_d / 180.0
| static

Definition at line 35 of file mathNumbers.h.

## ◆ deg_2_rad_d

const double MathNumbers::deg_2_rad_d = MathNumbers::pi_d / 180.0
| static

Definition at line 25 of file mathNumbers.h.

## ◆ deg_2_rad_f

const float MathNumbers::deg_2_rad_f = MathNumbers::pi_d / 180.0
| static

Definition at line 30 of file mathNumbers.h.

## ◆ ln2

const PN_stdfloat MathNumbers::ln2 = log(2.0)
| static

Definition at line 33 of file mathNumbers.h.

## ◆ ln2_d

const double MathNumbers::ln2_d = log(2.0)
| static

Definition at line 23 of file mathNumbers.h.

## ◆ ln2_f

const float MathNumbers::ln2_f = log(2.0)
| static

Definition at line 28 of file mathNumbers.h.

## ◆ pi

const PN_stdfloat MathNumbers::pi = 4.0 * atan(1.0)
| static

Definition at line 32 of file mathNumbers.h.

## ◆ pi_d

const double MathNumbers::pi_d = 4.0 * atan(1.0)
| static

Definition at line 22 of file mathNumbers.h.

## ◆ pi_f

const float MathNumbers::pi_f = 4.0 * atan(1.0)
| static

Definition at line 27 of file mathNumbers.h.

## ◆ rad_2_deg

const PN_stdfloat MathNumbers::rad_2_deg = 180.0 / MathNumbers::pi_d
| static

Definition at line 34 of file mathNumbers.h.

## ◆ rad_2_deg_d

const double MathNumbers::rad_2_deg_d = 180.0 / MathNumbers::pi_d
| static

Definition at line 24 of file mathNumbers.h.

## ◆ rad_2_deg_f

const float MathNumbers::rad_2_deg_f = 180.0 / MathNumbers::pi_d
| static

Definition at line 29 of file mathNumbers.h.

The documentation for this class was generated from the following files:

- panda/src/linmath/mathNumbers.h
- panda/src/linmath/mathNumbers.cxx
- panda/src/linmath/mathNumbers.I